Core - Bug # 46644

Status: Resolved Priority: Should have
Author: Michael Stucki Category: Frontend
Created: 2013-03-25 Assigned To: Michael Stucki
Updated: 2013-04-01 Due date:

TYPO3 Version: 4.7

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Layermenu code is duplicated

Description

The code which is used by GMENU_LAYERS/TMENU_LAYERS exists in "cms" as well as in "statictemplates".
This is even worse as a few issues have been fixed only in one of the versions.

Related issues:

related to Core - Task # 28024: Remove tslib/media, cglify statictemplates/media

Resolved 2011-07-09

Associated revisions

Revision 7¢536¢7d - 2013-04-01 13:02 - Michael Stucki

[BUGFIX] Remove redundant layermenu files

These files were maintained as two individual version. A number of

bugfixes were only applied in one version bot not in the other.

This change adds all missing fixes to the files in "statictemplates" and

removes all code from the files in "cms".

Resolves: #46644

Releases: 4.5, 4.7

Change-Id: 156ce401c73933eda381ce52b4d906a12b6ed963c¢
Reviewed-on: https://review.typo3.org/19259

Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

Reviewed-by: Christian Kuhn

Tested-by: Christian Kuhn

Revision 27df6d87 - 2013-04-01 13:02 - Michael Stucki

[BUGFIX] Remove redundant layermenu files

These files were maintained as two individual version. A number of

bugfixes were only applied in one version bot not in the other.

This change adds all missing fixes to the files in "statictemplates" and

removes all code from the files in "cms".

Resolves: #46644
https://review.typo3.org/19259

Releases: 4.5, 4.7
Change-Id: 156ce401c73933eda381ce52b4d906a12b6ed963c
Reviewed-on: https://review.typo3.0rg/19261

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2013-03-25 13:23 - Michael Stucki

This is almost the same problem that was already described and solved in #28024. However, the change was not applied to pre-6.0 releases yet.
#2 - 2013-03-25 13:23 - Michael Stucki

- Status changed from New to Accepted

- Assigned To set to Michael Stucki

#3 - 2013-03-25 13:30 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/19259

#4 - 2013-03-25 13:35 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-6 has been pushed to the review server.
It is available at https://review.typo3.org/19260

#5 - 2013-03-25 13:39 - Gerrit Code Review

Patch set 1 for branch TYPO3_4-5 has been pushed to the review server.

It is available at https://review.typo3.org/19261

#6 - 2013-04-01 12:26 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/19259

#7 - 2013-04-01 12:28 - Gerrit Code Review

Patch set 2 for branch TYPO3_4-6 has been pushed to the review server.
It is available at https://review.typo3.org/19260

#8 - 2013-04-01 12:29 - Gerrit Code Review
Patch set 2 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.0rg/19261

#9 - 2013-04-01 12:33 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-7 has been pushed to the review server.

It is available at https://review.typo3.org/19259

#10 - 2013-04-01 12:34 - Gerrit Code Review

Patch set 4 for branch TYPO3_4-7 has been pushed to the review server.

It is available at https://review.typo3.org/19259

#11 - 2013-04-01 12:35 - Gerrit Code Review

Patch set 3 for branch TYPO3_4-5 has been pushed to the review server.
It is available at https://review.typo3.0rg/19261

#12 - 2013-04-01 13:30 - Michael Stucki
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:27df6d879326f63d0902b05b161af0cece67abe3.
